.DashboardItem--cam-book{
 background: #eee;
    padding: 10px;
    border: 1px solid #ccc;
    margin-bottom: 10px;
}
.cam-block{
     position: relative;
     background: white;
    border: 1px solid #cccccc;
    padding-left: 10px; 
    padding-right: 10px; 
    margin-top: 10px; 
    
}

.cam-booking-subtitle{
    font-weight: 100;
    font-size: 14px;
}
.cam-block .cam-booking-text{
   font-size: 14px;
   padding: 0px;
}
label.cam-booking-text{
   width: auto;
}
.cam-block .cam-booking-title{
        font-size: 14px;
    color: #111111;
    font-weight: bold;
     
     margin-bottom: 5px;
     padding-top: 10px;
     padding-bottom: 10px;
     display: flex;
     align-items: center;
     justify-content: space-between;
}
.cam-block .cam-booking-title .cam-icon{
  margin-right: 5px;
  height: intrinsic;
}
.cam-block .cam-booking-input{
    background: url(../img/_/bg_textbox.png);
    border: 1px solid #ccc;
    color: #555;
    font-size: 12px;
    padding: 3px;
    width: 200px;
    height: 18px;
    border-radius: 3px;
}
.cam-block-body-title{

}
.cam-important-info{
    line-height: 20px;
    margin-top: 15px;
}
.cam-currency{
  margin-left: 5px;
}
.cam-price-left, .cam-price-right{
  display: flex;
  align-items: center;
}

.cam-block select.cam-custom {
    border: none;
    padding: 0px 20px 0px 5px;
    font-size: 1rem;
    margin: 0;
    color: black;
    cursor: pointer;
    background-image: url('/img/icon-bottom.png');
    background-size: 18px;
    background-repeat: no-repeat;
    background-position: right;
    transition: all 0.2s;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.cam-block select.cam-custom:focus {
    background-image: url('/img/icon-top.png');
    background-size: 18px;
    background-repeat: no-repeat;
    background-position: right;
    transition: all 0.2s;
    color: #1153bd;
}
.cam-block .cam-paxum{
    line-height: 30px;
}

.cam-paxum-flex{
    display: flex;
    margin-bottom: 5px;
}

.cam-paxum-flex label, .prices-text{
    margin-right: 15px;
}

.cam-block .cam-block-head{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 5px;
}

.cam-block .cam-block-body{
    margin-top: 10px;
    margin-bottom: 15px;
}
.cam-earnings-block{
    font-size: 0.9rem;
    margin-left: auto;
}

.cam-earnings{
    color: #00a651;
    font-weight: bold;
     font-size: 0.9rem;
}
.cam-input-error{
    border: 1px solid #a3171d!important;
}
.cam-status{
    text-align: center;
    color: #00a651;
    font-size: 1rem;
}
.cam-booking-btn{
  background: #00a651;
  font-size: 1rem;
  font-weight: 500;
  padding: .5rem;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  color: white;
  border-radius: 3px;
  position: relative;
  text-transform: uppercase;
}
.cam-booking-btn-now {
  background: #00a651;
  margin-top: 10px;
    font-size: 1rem;
    font-weight: 500;
    padding: .5rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    color: white;
    border-radius: 3px;
    position: relative;
    text-transform: uppercase;
}
.cam-paxum-right{
    display: flex;
    flex-direction: column;
    justify-content: right;
    justify-items: right;
     width:150px;
    margin-top: auto;
}
.cam-prices{
    display: flex;
    align-items: center;
    padding: 10px 0px;
}
.cam-price-right{
    margin-left: 20px;
}
.cam-block .cam-overlay{
    position: absolute;
    left: -5px;
    top: -10px;
    width: calc(100% + 10px);
    height: calc(100% + 20px);
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 3px;

}
.cam-block .cam-overlay .overlay-inner{
    width: 100%;
    float: left;
    height: 100%;
    position: relative;
}

.cam-block .paxom-info{
        font-size: 13px;
    margin-top: 10px;
}

:root {
  --toggleHeight: 30px;
  --toggleWidth: 65px;
  --toggleGap: 2px;
}

.toggle {
  width: 0;
  height: 0;
  opacity: 0;
}

.toggle + label {
  position: relative;
  background: #c0c0c0;
  width: var(--toggleWidth);
  height: var(--toggleHeight);
  display: -webkit-inline-box;
  display: inline-flex;
  -webkit-box-align: center;
          align-items: center;
  border-radius: 25px;
  cursor: pointer;
  -webkit-transition: background 0.2s ease-in-out;
  transition: background 0.2s ease-in-out;
  text-indent: calc( var(--toggleWidth) + 10px);
  white-space: nowrap;
  padding: 0px;
}
.toggle + label:after {
  content: "";
  background: #fff;
  width: calc(var(--toggleHeight) - (var(--toggleGap) * 2));
  height: calc(var(--toggleHeight) - (var(--toggleGap) * 2));
  position: absolute;
  top: var(--toggleGap);
  left: var(--toggleGap);
  border-radius: 50%;
  -webkit-transition: left 0.3s ease-in-out, background 0.2s ease-in-out;
  transition: left 0.3s ease-in-out, background 0.2s ease-in-out;
}

.toggle:checked + label {
  background: #e0347c;
}
.toggle:checked + label:after {
  left: calc(100% - calc(var(--toggleHeight) - var(--toggleGap)));
}


.icon--popup.cam-find-out {
    background: #d31e74;
    color: #fff;
    font-weight: 600;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    display: inline-block;
    text-align: center;
    padding: 2px;
    font-size: 18px;
    line-height: 18px;
    cursor: pointer;
}

.cam-call-discover-popup{
    position: fixed;
    width: 100%;
    z-index: 9999;
    border-radius: 4px;
    overflow-y: auto;
    background: #0000005c;
    max-width: unset;
    flex-direction: column;
    left: 0;
    top: 0;
    align-items: center;
    justify-content: center;
    overflow: auto;
    height: 100%;
    padding: 55px 0;
    box-sizing: border-box;
}

.cam-call-discover-popup .popup-content{
    background: white;
    max-width: 650px;
    height: auto;
    margin: 0 auto;
    overflow-y: auto;
    max-height: 610px;
    padding: 0 40px;
}

.cam-call-discover-popup .popup-title {
    background: #d31e74;
    width: 100%;
    position: relative;
    top: 0;
    left: 0;
    height: 40px;
    max-width: 650px;
    margin: 0 auto;
    overflow-y: auto;
    width: 100%;
    padding: 0 40px;
    border-radius: 4px 4px 0 0;
}

.cam-call-discover-popup .popup-title h4 {
    color: white;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
}

.cam-call-discover-popup .popup-footer {
    background: #e0e0e0;
    position: relative;
    top: 0;
    left: 0;
    height: 60px;
    max-width: 650px;
    margin: 0 auto;
    overflow-y: auto;
    width: 100%;
    padding: 0 40px;
    border-radius: 0 0 4px 4px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.payment-options-label{
  width: 194px;
}
.payment-options-block{
  margin-top: 10px;
}
.cam-call-discover-popup .popup-footer button {
    background: #d92a80;
    color: #fff;
    padding: 8px 16px;
    font-size: 14px;
    border-radius: 4px;
    cursor: pointer;
}
.cam-call-discover-popup .popup-footer button {
    background: #d92a80;
    color: #fff;
    padding: 8px 16px;
    font-size: 14px;
    border-radius: 4px;
    cursor: pointer;
}
.cam-payment-option{
  display: flex;
}
.cam-payment-option label{
  width: auto!important;
  margin-right: 10px
}
.cam-payment-option [type="radio"]:checked,
.cam-payment-option [type="radio"]:not(:checked) {
    position: absolute;
    left: -9999px;
}
.cam-payment-option [type="radio"]:checked + label,
.cam-payment-option [type="radio"]:not(:checked) + label
{
    position: relative;
    padding-left: 28px;
    cursor: pointer;
    line-height: 11px;
    display: inline-block;
    color: #666;
}
.cam-payment-option [type="radio"]:checked + label:before,
.cam-payment-option [type="radio"]:not(:checked) + label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 18px;
    height: 18px;
    border: 1px solid #ddd;
    border-radius: 100%;
    background: #fff;
}
.cam-payment-option [type="radio"]:checked + label:after,
.cam-payment-option [type="radio"]:not(:checked) + label:after {
    content: '';
    width: 12px;
    height: 12px;
    background: #00a651;
    position: absolute;
    top: 4px;
    left: 4px;
    border-radius: 100%;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
}
.cam-payment-option [type="radio"]:not(:checked) + label:after {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
}
.cam-payment-option [type="radio"]:checked + label:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}

.cam-block.blue .cam-earnings{
  color: black;
}
.cam-block.blue .cam-booking-text{
  color: #0a5171;
}

/*Escort cam calls requests*/
.cam-bookings-content{
    font-size: 14px;
    padding: 5px 7px;
    border-bottom: groove;
    border-width: 1px;
    border-color: #BDBDBD;
    width: 104%;
}
fieldset.cam-calls-info{
    margin: -3px 0px 0 0;
    padding: 116px 0px;
}
fieldset.cam-calls-info2{
    margin: 0;
    padding: 32px 0px;
}
div#cam{
    padding: 0;
    margin: -10px 0px;
}
.dot {
    height: 18px;
    width: 18px;
    background-color: #ffb700;
    border-radius: 50%;
    display: inline-block;
    margin: 4px -21px;
    text-align: center;
    font-size: 10px;
    position: absolute;
}
div.cam-body, div.right-square
{
    text-align:left;
    margin: -106px 17px;
}
div#cam, div#cam-title
{
    display:inline;
}
div#cam-title
{
    position: absolute;
    margin: 3px 4px;
    font-size: 15px;
    display: inline;
}
div#cam-description
{
    position: absolute;
    margin: -23px 59px;
    font-size: 10px;
}
div.cam-setup-area
{
    padding: 26px 8px;
    width: 91%;
    margin: 10px 0;
    text-align: left;
}
.cam-second-body{
    text-align:left;
    display: flex;
    width: 90%;
    margin: 0 72px;
}
.cam-bookings{
    height: 26px;
    width: 171px;
    text-align: center;
    border: groove;
    border-radius: 4px;
    background-color: #d52178;
    border-color: #d52178;
    color: white;
    /*vertical-align: super;*/
    margin: -5px 148px;
    font-size: 15px;
    text-decoration: none;
    padding: 3px 0px 0px 0px;
}
#cam-second-space{
    font-size: 13px;
}
.paging{
    text-align: center;
}
.page-number
{
    margin: 2px;
    vertical-align: baseline;
    text-decoration: none;
}
.cam-bookings-date{
    font-size: 12px;
    color: #BDBDBD;
}
a.active
{
 color: black;
}

.loader
{
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #d52178;
    width: 80px;
    height: 80px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
    margin:auto;
    left:0;
    right:0;
    top:0;
    bottom:0;
    position:absolute;
}

.loader-back
{
    position: absolute;
    left: -5px;
    top: -10px;
    width: calc(100% + 10px);
    height: calc(100% + 20px);
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 3px;
}

@-webkit-keyframes spin
{
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin
{
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
.dot > h4
{
    margin-top: 2px;
}
.move-button
{
    display: inline;
    float: right;
    margin: -42px 0px;
    text-decoration: none;
    border-style: solid;
    padding: 1px 3px;
    border-radius: 5px;
    border-width: 2px;
}
.cam-contact-option [type="radio"]:checked,
.cam-contact-option [type="radio"]:not(:checked) {
    position: absolute;
    left: -9999px;
}
.cam-contact-option [type="radio"]:checked + label,
.cam-contact-option [type="radio"]:not(:checked) + label
{
    position: relative;
    padding-left: 23px;
    cursor: pointer;
    margin-right: 20px;
    line-height: 15px;
    display: inline-block;
    font-size: 14px;
    color: #666;
}
.cam-contact-option [type="radio"]:checked + label:before,
.cam-contact-option [type="radio"]:not(:checked) + label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 18px;
    height: 18px;
    border: 1px solid #ddd;
    border-radius: 100%;
    background: #fff;
}
.cam-contact-option [type="radio"]:checked + label:after,
.cam-contact-option [type="radio"]:not(:checked) + label:after {
    content: '';
    width: 12px;
    height: 12px;
    background: #e0347c;
    position: absolute;
    top: 4px;
    left: 4px;
    border-radius: 100%;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
}
.cam-contact-option [type="radio"]:not(:checked) + label:after {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
}
.cam-contact-option [type="radio"]:checked + label:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}
.contact-options-block{
  margin: 20px 0px;
      display: flex;
    flex-direction: column;
}
@-webkit-keyframes spinAround {
    from {
    -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
        }
    }
    @keyframes spinAround {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}
.is-loading:after{
    -webkit-animation: spinAround 500ms infinite linear;
    animation: spinAround 500ms infinite linear;
    border: 2px solid #dbdbdb;
    border-radius: 290486px;
    border-right-color: transparent;
    border-top-color: transparent;
    content: "";
    display: block;
    height: 3em;
    position: relative;
    width: 3em;
    position: absolute;
    left: calc(50% - (3em / 2));
    top: calc(50% - (3em / 2));
    position: absolute !important;
}